%define mainrel 1
%define date    20170128
%define rel	6

%define major   1
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Name:           dumb
Version:        1.0
Release:        %mkrel %{mainrel}.%{date}.%{rel}
Summary:        Dynamic Universal Music Bibliotheque
Group:          Sound/Players
License:        BSD-like
Url:            https://github.com/kode54/dumb
#Source0:        https://github.com/kode54/dumb/archive/%{version}/%{name}-%{version}.tar.gz
Source0:        %{name}-%{version}+%{date}.tar.xz
# https://github.com/kode54/dumb/pull/35
Patch0:         0001-aldmb-Fix-underlinking-of-dumb-library.patch
# https://github.com/kode54/dumb/pull/36
Patch1:         0001-Add-proper-shared-library-versioning-set-SOVERSION-t.patch
# https://github.com/kode54/dumb/pull/37
Patch2:         0001-Make-SSE-instructions-opt-out.patch

BuildRequires:  cmake
BuildRequires:  pkgconfig(allegro)

# For example binaries
BuildRequires:  pkgconfig(argtable2)
BuildRequires:  pkgconfig(sdl2)

%description
DUMB is an IT, XM, S3M and MOD player library.

This package includes a player based on Allegro.

%package -n %{libname}
Summary:        Shared libraries for %{name}
Group:          System/Libraries

%description -n %{libname}
DUMB is an IT, XM, S3M and MOD player library.

%package -n %{devname}
Group:          Development/C
Summary:        Development files and headers for %{name}
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}
Obsoletes:      %{name}-devel < 0.9.3-9

%description -n %{devname}
This package contains the development files and headers for %{name}.

%prep
%autosetup -p1 -n %{name}-%{version}+%{date}

%build
%cmake \
%ifarch %{arm} aarch64
    -DUSE_SSE=OFF
%endif

%cmake_build

%install
%cmake_install

%files
%doc readme.txt release.txt
%license licence.txt
%{_bindir}/%{name}out
%{_bindir}/%{name}play

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}
%{_libdir}/lib%{name}.so.%{version}
%{_libdir}/libaldmb.so.%{major}
%{_libdir}/libaldmb.so.%{version}

%files -n %{devname}
%doc readme.txt release.txt
%license licence.txt
%{_libdir}/lib%{name}.so
%{_libdir}/libaldmb.so
%{_includedir}/%{name}.h
%{_includedir}/al%{name}.h


%changelog
* Thu Feb 13 2020 umeabot <umeabot> 1.0-1.20170128.6.mga8
+ Revision: 1511975
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Sun Sep 23 2018 umeabot <umeabot> 1.0-1.20170128.5.mga7
+ Revision: 1297521
- Mageia 7 Mass Rebuild

* Tue Jun 19 2018 wally <wally> 1.0-1.20170128.4.mga7
+ Revision: 1238058
- disable sse on aarch64

* Mon Jul 17 2017 akien <akien> 1.0-1.20170128.3.mga7
+ Revision: 1124221
- Reenable SSE on i586 where it is available, and fix missing #ifdef
- Disable SSE on i586 and ARM

* Mon Jul 17 2017 akien <akien> 1.0-1.20170128.1.mga7
+ Revision: 1124201
- Git snapshot of new upstream https://github.com/kode54/dumb

* Sun Mar 12 2017 akien <akien> 0.9.3-17.mga6
+ Revision: 1092243
- Rebuild against allegro4

* Tue Feb 02 2016 umeabot <umeabot> 0.9.3-16.mga6
+ Revision: 931581
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.9.3-15.mga5
+ Revision: 744667
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.3-14.mga5
+ Revision: 678877
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.9.3-13.mga4
+ Revision: 533333
- Mageia 4 Mass Rebuild

* Wed Aug 28 2013 joequant <joequant> 0.9.3-12.mga4
+ Revision: 472614
- update for mageia4

* Fri Jan 11 2013 umeabot <umeabot> 0.9.3-11.mga3
+ Revision: 349165
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 29 2012 malo <malo> 0.9.3-10.mga3
+ Revision: 322783
- update RPM group

* Wed Nov 30 2011 wally <wally> 0.9.3-9.mga2
+ Revision: 174504
- disable parallel build
- enable shared libs
- fix CVE-2006-3668, patch from debian
- redo P0 and .spec

* Fri Mar 04 2011 ennael <ennael> 0.9.3-8.mga1
+ Revision: 64080
- imported package dumb


* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 0.9.3-8mdv2011.0
+ Revision: 610289
- rebuild

* Thu Dec 31 2009 Emmanuel Andry <eandry@mandriva.org> 0.9.3-7mdv2010.1
+ Revision: 484586
- rebuild for new allegro

* Fri Jul 24 2009 Götz Waschk <waschk@mandriva.org> 0.9.3-6mdv2010.0
+ Revision: 399217
- fix linking

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 0.9.3-5mdv2009.0
+ Revision: 244555
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Mon Dec 04 2006 Götz Waschk <waschk@mandriva.org> 0.9.3-3mdv2007.0
+ Revision: 90351
- Import dumb

* Mon Dec 04 2006 Götz Waschk <waschk@mandriva.org> 0.9.3-3mdv2007.1
- rebuild

* Fri Dec 02 2005 Götz Waschk <waschk@mandriva.org> 0.9.3-2mdk
- fix build on x86_64

* Fri Sep 30 2005 Götz Waschk <waschk@mandriva.org> 0.9.3-1mdk
- initial package

